Application Management and Subscriptions
The Applications API allows you to manage applications within the system. However, it is recommended to use the Cloud Console for managing applications and subscribing to APIs. Usage of Application management APIs is restricted to Cloud Console for now.
- Add a New Application: To add a new application to an account, use the
POST /applicationsendpoint. This endpoint allows you to add a new application to the account (in the JWT) of the calling subject. An account can also be passed as a query parameteraccountId. - Fetch Application Information: To fetch information about a specific application, use the
GET /applications/{applicationId}endpoint. This endpoint requires theapplicationIdparameter to identify the application. The response will provide the application’s information or indicate if the application was not found. - Update Application Information: To update an existing application’s information, use the
PUT /applications/{applicationId}endpoint. This endpoint requires theapplicationIdparameter and a JSON object representing the updated application information.
Device Application
When applications are to be created & managed under a device, then Device Applications are used. Refer to this section for more information.